<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            ALTER TABLE lines
            ADD COLUMN block_id BIGINT DEFAULT NULL,
            ADD CONSTRAINT lines_block_id_fkey
            FOREIGN KEY (block_id) REFERENCES blocks(id);
        SQL;

        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        // Schema::table('lines', function (Blueprint $table) {
        //     //
        // });
    }
};
